## oem-wireless-rtlwifi-1367658-dkms 1.0wataugafour7

=== oem-wireless-rtlwifi-1367658-1.0wataugafour7/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/rtlwifi
FIRMWAREDIR := /lib/firmware/
PWD := $(shell pwd)
CLR_MODULE_FILES := *.mod.c *.mod *.o .*.cmd *.ko *~ .tmp_versions* modules.order Module.symvers
SYMBOL_FILE := Module.symvers

EXTRA_CFLAGS += -O2
obj-m := rtlwifi.o
PCI_MAIN_OBJS	:= base.o	\
		rc.o	\
		debug.o	\
		regd.o	\
		efuse.o	\
		cam.o	\
		ps.o	\
		core.o	\
		stats.o	\
		pci.o	\

rtlwifi-objs += $(PCI_MAIN_OBJS)

all: 
	$(MAKE) -C $(KSRC) M=$(PWD) modules
	@cp $(SYMBOL_FILE) btcoexist/
	@make -C btcoexist/
	@cp $(SYMBOL_FILE) rtl8192ce/
	@make -C rtl8192ce/
	@cp $(SYMBOL_FILE) rtl8192se/
	@make -C rtl8192se/
	@cp $(SYMBOL_FILE) rtl8192de/
	@make -C rtl8192de/
	@cp $(SYMBOL_FILE) rtl8723ae/
	@cp btcoexist/$(SYMBOL_FILE) rtl8723ae/
	@make -C rtl8723ae/
	@cp $(SYMBOL_FILE) rtl8188ee/
	@make -C rtl8188ee/
	@cp $(SYMBOL_FILE) rtl8723be/
	@cp btcoexist/$(SYMBOL_FILE) rtl8723be/
	@make -C rtl8723be/
	@cp $(SYMBOL_FILE) rtl8192ee/
	@cp btcoexist/$(SYMBOL_FILE) rtl8192ee/
	@make -C rtl8192ee/
	@cp $(SYMBOL_FILE) rtl8821ae/
	@cp btcoexist/$(SYMBOL_FILE) rtl8821ae/
	@make -C rtl8821ae/
install: all
	@find /lib/modules/$(shell uname -r) -name "rtlwifi.ko" -exec rm {} \;
	@find /lib/modules/$(shell uname -r) -name "btcoexist.ko" -exec rm {} \;
	@find /lib/modules/$(shell uname -r) -name "rtl8192se.ko" -exec rm {} \;
	@find /lib/modules/$(shell uname -r) -name "rtl8192ce.ko" -exec rm {} \;
	@find /lib/modules/$(shell uname -r) -name "rtl8192de.ko" -exec rm {} \;
	@find /lib/modules/$(shell uname -r) -name "rtl8723e.ko" -exec rm {} \;
	@find /lib/modules/$(shell uname -r) -name "rtl8188ee.ko" -exec rm {} \;
	@find /lib/modules/$(shell uname -r) -name "rtl8723be.ko" -exec rm {} \;
	@find /lib/modules/$(shell uname -r) -name "rtl8192ee.ko" -exec rm {} \;
	@find /lib/modules/$(shell uname -r) -name "rtl8821ae.ko" -exec rm {} \;
	@rm -fr $(FIRMWAREDIR)/`uname -r`/rtlwifi

	$(shell rm -fr $(MODDESTDIR))
	$(shell mkdir $(MODDESTDIR))
	$(shell mkdir $(MODDESTDIR)/btcoexist)
	$(shell mkdir $(MODDESTDIR)/rtl8192se)
	$(shell mkdir $(MODDESTDIR)/rtl8192ce)
	$(shell mkdir $(MODDESTDIR)/rtl8192de)
	$(shell mkdir $(MODDESTDIR)/rtl8723ae)
	$(shell mkdir $(MODDESTDIR)/rtl8188ee)
	$(shell mkdir $(MODDESTDIR)/rtl8723be)
	$(shell mkdir $(MODDESTDIR)/rtl8192ee)
	$(shell mkdir $(MODDESTDIR)/rtl8821ae)
	@install -p -m 644 rtlwifi.ko $(MODDESTDIR)	
	@install -p -m 644 ./btcoexist/btcoexist.ko $(MODDESTDIR)/btcoexist
	@install -p -m 644 ./rtl8192se/rtl8192se.ko $(MODDESTDIR)/rtl8192se
	@install -p -m 644 ./rtl8192ce/rtl8192ce.ko $(MODDESTDIR)/rtl8192ce
	@install -p -m 644 ./rtl8192de/rtl8192de.ko $(MODDESTDIR)/rtl8192de
	@install -p -m 644 ./rtl8723ae/rtl8723ae.ko $(MODDESTDIR)/rtl8723ae
	@install -p -m 644 ./rtl8188ee/rtl8188ee.ko $(MODDESTDIR)/rtl8188ee
	@install -p -m 644 ./rtl8723be/rtl8723be.ko $(MODDESTDIR)/rtl8723be
	@install -p -m 644 ./rtl8192ee/rtl8192ee.ko $(MODDESTDIR)/rtl8192ee
	@install -p -m 644 ./rtl8821ae/rtl8821ae.ko $(MODDESTDIR)/rtl8821ae
	
	@depmod -a

	@#copy firmware img to target fold
	@#$(shell [ -d "$(FIRMWAREDIR)/`uname -r`" ] && cp -fr firmware/rtlwifi/ $(FIRMWAREDIR)/`uname -r`/.)
	@#$(shell [ ! -d "$(FIRMWAREDIR)/`uname -r`" ] && cp -fr firmware/rtlwifi/ $(FIRMWAREDIR)/.)
	@cp -fr firmware/rtlwifi/ $(FIRMWAREDIR)/
	@echo "Install rtlwifi SUCCESS"

uninstall:
	$(shell [ -d "$(MODDESTDIR)" ] && rm -fr $(MODDESTDIR))
	
	@depmod -a
	
	@#delete the firmware img
	@rm -fr /lib/firmware/rtlwifi/
	@rm -fr /lib/firmware/`uname -r`/rtlwifi/
	@echo "Uninstall rtlwifi SUCCESS"

clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags
	@find -name "tags" -exec rm {} \;
	@rm -fr $(CLR_MODULE_FILES)
	@make -C btcoexist/ clean
	@make -C rtl8192ce/ clean
	@make -C rtl8192se/ clean
	@make -C rtl8192de/ clean
	@make -C rtl8723ae/ clean
	@make -C rtl8188ee/ clean
	@make -C rtl8723be/ clean
	@make -C rtl8192ee/ clean
	@make -C rtl8821ae/ clean

=== oem-wireless-rtlwifi-1367658-1.0wataugafour7/rtl8723ae/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)

EXTRA_CFLAGS += -O2
#EXTRA_CFLAGS += -DRTK_FW_HDR

####################################################
obj-m := rtl8723ae.o


PCI_8723AE_HAL_OBJS:=	\
	hw.o		\
	table.o		\
	sw.o		\
	trx.o		\
	led.o		\
	fw.o		\
	phy.o		\
	rf.o		\
	dm.o		\
	pwrseq.o	\
	pwrseqcmd.o	\
	hal_btc.o	\
	hal_bt_coexist.o	\

####################################################

rtl8723ae-objs += $(PCI_8723AE_HAL_OBJS)

default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== oem-wireless-rtlwifi-1367658-1.0wataugafour7/oem-wireless-rtlwifi-1367658-dkms-mkdeb/debian/changelog ===
oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour7) precise; urgency=medium

  * install firmware. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 31 Dec 2014 04:54:03 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour6) precise; urgency=medium

  * bump version. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 31 Dec 2014 01:34:35 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour5) precise; urgency=medium

  * use newer rtl8723befw.bin in Trusty's linux-firmware package.
    (LP: #1401489)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 30 Dec 2014 15:24:50 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour4) precise; urgency=medium

  * bump version. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 17 Nov 2014 23:07:47 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour3) trusty; urgency=medium

  * build for precise, bump version.

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 18 Sep 2014 14:35:35 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour2) trusty; urgency=medium

  * build all kernel modules

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 18 Sep 2014 14:35:35 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour1) precise; urgency=medium

  * Initial release.

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 15 Sep 2014 12:47:38 +0800

=== debian/control ===
Source: oem-wireless-rtlwifi-1367658-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3

Package: oem-wireless-rtlwifi-1367658-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: oem-wireless-rtlwifi-1367658 driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-wireless-rtlwifi-1367658
NAME=oem-wireless-rtlwifi-1367658
VERSION=1.0wataugafour7

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
